# Activation_Queue.h File Reference

`#include "ace/ACE_export.h"`
`#include "ace/Message_Queue.h"`
`#include "ace/Condition_Thread_Mutex.h"`
`#include "ace/Activation_Queue.inl"`

Include dependency graph for Activation_Queue.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_Activation_Queue
| Reifies a method into a request. Subclasses typically represent necessary state and behavior. More...

## Defines

#define | ACE_Activation_List ACE_Activation_Queue
| Define to be compatible with the terminology in the POSA2 book!

## Detailed Description

Id
  Activation_Queue.h,v 4.34 2006/01/24 14:49:14 shuston Exp

Author:
  Andres Kruse <Andres.Kruse@cern.ch>

  Douglas C. Schmidt <schmidt@cs.wustl.edu>

## Define Documentation

#define ACE_Activation_List ACE_Activation_Queue

| Define to be compatible with the terminology in the POSA2 book!